org.eclipse.microprofile.openapi.annotations.responses

## Annotation Type APIResponses

    @Target(value=METHOD)
     @Retention(value=RUNTIME)
     @Inherited
    public @interface APIResponses

The ApiResponses annotation is a container for @ApiResponse annotations. When used on a method it is treated as if each ApiResponse annotation were applied individually.

See Also:
  Responses Object

### Optional Element Summary

Optional Elements
`APIResponse[]` `value` An array of APIResponse annotations

### Element Detail

#### value

    public abstract APIResponse[] value

An array of APIResponse annotations

Returns:
  the array of the APIResponse

Default:
  {}